CRMchat APIBeta

Update Telegram account

PATCH
/workspaces/{workspaceId}/telegram-accounts/{accountId}

Partially updates a Telegram account using JSON Merge Patch.

Authorization

bearerAuth
AuthorizationBearer <token>

API key (sk_...) as Bearer token

In: header

Path Parameters

workspaceId*string
accountId*string

Request Body

application/merge-patch+json

TypeScript Definitions

Use the request body type in TypeScript.

accessScope?string

Value in

  • "workspace"
  • "users"
accessUserIds?array<string>
contactCreationBehaviour?|null
newLeadsDailyLimit?integer
Range0 <= value <= 500
custom?|null

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/workspaces/string/telegram-accounts/string" \  -H "Content-Type: application/merge-patch+json" \  -d ''
{  "data": {    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z",    "avatarUrl": "string",    "workspaceId": "string",    "accessScope": "workspace",    "accessUserIds": [      "string"    ],    "status": "active",    "telegram": {      "id": 0,      "username": "string",      "phone": "string",      "fullName": "string",      "hasPremium": true    },    "contactCreationBehaviour": "disabled",    "newLeadsDailyLimit": 0,    "custom": {      "property1": "string",      "property2": "string"    },    "warmup": {      "enabled": true,      "stage": "initial"    },    "spamRestriction": {      "type": "peer_flood",      "until": "2019-08-24T14:15:22Z",      "detectedAt": "2019-08-24T14:15:22Z",      "lastCheckedAt": "2019-08-24T14:15:22Z",      "rawMessage": "string"    },    "id": "string",    "_meta": {      "properties": {        "property1": {          "type": "single-select",          "name": "string",          "selected": {            "label": "string",            "value": "string"          }        },        "property2": {          "type": "single-select",          "name": "string",          "selected": {            "label": "string",            "value": "string"          }        }      }    }  }}